
QGIS Application - Bug report #20431

no possibility to confirm in the attribut form while add more than one feature (postgres)

2018-11-09 10:20 PM - Jan Lippmann

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28251

Description

Important: it happens only when "evaluate default values on provider side" is deactivated in the project settings

if i hide the id field, i can confirm the form for more than one feature without saving.

3.4.1 also affected
Related issues:

Related to QGIS Application - Bug report # 20523: Adding new features in post... Closed 2018-11-17

Related to QGIS Application - Bug report # 20397: QGIS 3.4 Incorrect handling... Closed 2018-11-07

Associated revisions

Revision 32b7d7e5 - 2018-11-19 04:54 PM - David Signer

check uniqueCheck before overwrite defaultValueClause

and some tests for it

this fixes #20397 and fixes #20431

Revision 76667eee - 2018-11-20 11:57 AM - David Signer

check uniqueCheck before overwrite defaultValueClause

and some tests for it

this fixes #20397 and fixes #20431

(cherry-picked from 32b7d7e5ddeef7a66592267819e234085c44a7bc)

History

#1 - 2018-11-11 03:41 PM - Harrissou Santanna

- Operating System changed from Win 7 64bit to Windows

- Regression? changed from No to Yes

I can also confirm, on a Windows 10 (though not sure it's related).

A regression imho. An opt-in option should not block this important feature.
#2 - 2018-11-11 03:42 PM - Harrissou Santanna

- Affected QGIS version changed from 3.5(master) to 3.4.1

#3 - 2018-11-17 09:11 AM - Harrissou Santanna

- Related to Bug report #20523: Adding new features in postgis fails with attribute window popup added

#4 - 2018-11-17 06:35 PM - Harrissou Santanna

- Related to Bug report #20397: QGIS 3.4 Incorrect handling of Postgres serial columns added

#5 - 2018-11-20 11:15 AM - David Signer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|32b7d7e5ddeef7a66592267819e234085c44a7bc.
